import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BytesFilterObjectSchema as BytesFilterObjectSchema } from './BytesFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const pdffilescalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => PdfFileScalarWhereInputObjectSchema), z.lazy(() => PdfFileScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => PdfFileScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => PdfFileScalarWhereInputObjectSchema), z.lazy(() => PdfFileScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  pdfData: z.union([z.lazy(() => BytesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  uploadedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  groupId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional()
}).strict();
export const PdfFileScalarWhereInputObjectSchema: z.ZodType<Prisma.PdfFileScalarWhereInput> = pdffilescalarwhereinputSchema as unknown as z.ZodType<Prisma.PdfFileScalarWhereInput>;
export const PdfFileScalarWhereInputObjectZodSchema = pdffilescalarwhereinputSchema;
